#!/bin/sh
# Define which version of the sequencer to use \
  exec seqWish -f "$0"  ${1+"$@"}
#
#*************************************************************
# E.S.O. - VLT project
#
# "@(#) $Id: htFileSelect.pan,v 1.1 2004/09/06 14:47:13 cguirao Exp $" 
#
# htFileSelect.pan
#
# This file has been produced by the panel editor
#   version: panel.tcl,v 3.18
#   date   : Fri Apr 17 13:46:52 MESZ 1998
#
#      !!!!!!!!!!  DO NOT MANUALLY EDIT THIS FILE  !!!!!!!!! 
#
#--------------------------------------------------------------
#
global par gvar cv bcv actAreaHeight shArea panClassLib 
global geoCmdReply panClassLib panUsrProcs panUsrLib
global argv0 env panWidget panWidgetHlp panDbData cwp
global menu menuBar menuHelp ckMenuBar ckActBut ckShHelp ckCCS
# 
#  Get directory root of VLT, integration, current module. 
global VLTROOT INTROOT HOME

if {[catch {set VLTROOT $env(VLTROOT)}]} {set VLTROOT dummy}
if {[catch {set INTROOT $env(INTROOT)}]} {set INTROOT dummy}
if {[catch {set HOME    $env(HOME)}   ]} {set HOME    dummy}
# 
# Set auto_path 
# 

if { [file exist ../lib/libpanPublic.tcl] } { 
   lappend auto_path ../lib/libpanPublic.tcl
} elseif { [file exist $INTROOT/lib/libpanPublic.tcl ] } { 
   lappend auto_path $INTROOT/lib/libpanPublic.tcl
} elseif { [file exist $VLTROOT/lib/libpanPublic.tcl ] } { 
   lappend auto_path $VLTROOT/lib/libpanPublic.tcl 
} else {
   puts stderr "panel EXITS : Tcl library libpanPublic.tcl not found " 
   exit 1
}

#
# Link panel to user libraries 
#
set panUsrLib   {}  
set panClassLib {}

panSetAutoPath  $panUsrLib $panClassLib 

if {[info exists EDITING]} { 
   set panRoot .htFileSelect 
   set panUsrProcs {htFileSelectInit htFileSelectExit}
   set argc 0 ; set argv {}
} else {
   set par(MY_NAME) [file tail $argv0] 
   set EDITING 0
   set tk_strictMotif 0
   setPublicVar
   set panRoot . 
}

#
# User's defined Initialization Procedure
#

proc htFileSelectInit {} {

 # Declare global variables

   global gvar cv

 # User Initialization
set fsb $cv.fsb
UifFileSelBox $fsb -fileGeometry 30x10 -dirGeometry 15x10
pack $fsb
}



#
#-----------------------------------------------
#            Widget Definition  
#-----------------------------------------------
# 

set ckShHelp      1; # Set Short Help
set ckActBut      0; # Set Action Button Area
set ckMenuBar     1; # Setup Menu Bar
set ckCCS         0; # Initialize CCS
set ckCmdReply    0;  # Display Cmd. Reply
set cwp           ""
set actAreaHeight 5; # Set height of action area 

panReadOption winter
panCreateFrame htFileSelect 271 236;  # Create empty frame
panGetCvNames  htFileSelect cv bcv;   # Get Canvas Names
panInit        $argc $argv;  # Initialization




#
#  Canvas Items
#


#
#-----------------------------------------------
#           Menu Bar Definition  
#-----------------------------------------------
# 

set menu(0) {File 1 file}


# Add MenuButton < File > 

set mb [addMenuButton $menuBar file " File " -1 left]

# Menu  

addMenuCmd $mb "Quit" 0 {panClosePanel}

#
#-----------------------------------------------
#           Menu Help Definition  
#-----------------------------------------------
# 


#
#-----------------------------------------------
#            Create the Panel  
#-----------------------------------------------
#

wm geometry  $panRoot 472x463
wm title     $panRoot "HT File Selection Box"
set par(TITLE) "HT File Selection Box" 

panMainStart  htFileSelect $argc $argv

#--------------------    End of Main   --------------------



#####################################################
#           Definition of Local Procedures
#####################################################


proc htFileSelectExit {} {

 # Declare global variables

   global <var>

 # Statements to be executed when exiting
}
