#!/bin/sh
#/***********************************************************************/
# $Id: dfslogArchiveMessages.sh,v 1.1 2004/09/06 14:33:19 cguirao Exp $
#/***********************************************************************/
#/* dfslogArchiveMessages.sql                                           */
#/*                                                                     */
#/* This script is intended to be run periodically, archiving messages. */
#/*                                                                     */
#/* All "important" messages are moved to the archive_message table.    */
#/* The definition of "important messages", one must edit the           */
#/* copy_messages_to_archive stored procedure in the dfslog database.   */
#/*                                                                     */
#/* This SQL script must be run as the "dfslog_dbo" or "sa" SYBASE user.*/
#/*                                                                     */
#/* To run the script, use a command similar to the following:          */
#/*                                                                     */
#/*  isql -U<usr> -S<server> -P <psswd> -i dfslogArchiveMessages.sql    */
#/*                                                                     */
#/* Revision Log:   see end of 


. /opt/sybase/SYBASE.sh
. /data/sybase/SCRIPTS/CRON/DBA_VARIABLES.sh

P=`cat /opt/sybase/.dfslog`
log=$DBA_LOGDIR/dfslogArchiveMessages.out


$SYBASE/OCS-12_0/bin/isql -Udfslog_dbo -S$DSQUERY -P$P >> $log 2>&1 <<EOF
use dfslog
execute copy_messages_to_archive
go
EOF
#/* end of script */


#/*---------------------------------------------------------------------*/
#  Revision history:
#  -----------------
#
#  $Log: dfslogArchiveMessages.sh,v $
#  Revision 1.1  2004/09/06 14:33:19  cguirao
#  *** empty log message ***
#
#  Revision 1.1  2004/09/02 14:12:57  cguirao
#  *** empty log message ***
#
#  Revision 1.1  2004/08/23 08:50:41  cguirao
#  *** empty log message ***
#
#  Revision 1.1  2004/06/23 15:01:45  cguirao
#  First check-in
#
#  Revision 1.2  2003/05/19 12:44:59  gmekiffe
#  Increase recent_message.msgid to 15
#
#  02.08.2002  gmekiffe  . autimatise revision information
#  27.01.2001  jparra    . converted to POSIX shell for cron
#  29.04.1999  nkornwei  . Original version.
#
#eof
