package org.eso.dfs.services;

/**
 * @author nkornwei
 *
 * General Exception relating to any error occuring in the Gasgano Services
 * package. Includes exceptino from both data and gui packages.
 */
public class ServiceException extends Exception {

    /**
     * Constructor for ServiceException.
     * @param message
     */
    public ServiceException(String message) {
        super(message);
    }

    /**
     * Constructor for ServiceException.
     * @param message
     * @param cause
     */
    public ServiceException(String message, Throwable cause) {
        super(message, cause);
    }

    /**
     * Constructor for ServiceException.
     * @param cause
     */
    public ServiceException(Throwable cause) {
        super(cause);
    }

    /**
     * Constructor for ServiceException.
     */
    public ServiceException() {
        super();
    }
}
