#=================================================================
# $Id: vinci.sql,v 1.1 2004/09/27 14:28:05 cguirao Exp $
#=================================================================
#
# initialize table 'instrument'
#
DELETE FROM instrument WHERE ins_id LIKE 'VINCI%'\g
INSERT INTO instrument  VALUES ('VINCI','VLTI','','')\g

#
# insert instrument component table
#
DELETE FROM component WHERE comp_id = 'VINCI%'\g
INSERT INTO component VALUES ('VINCI',NULL,NULL,'Vinci','INS','ins/vinci','1900-01-01T00:00:00','inf','C','INST')\g

#
# insert actual VINCI components
#
DELETE FROM real_component WHERE ins_id = 'VINCI%'\g
INSERT INTO real_component VALUES ('VINCI','VINCI','Vinci','INS')\g

#===================================================================
# Revision history:
# -----------------
#
# $Log: vinci.sql,v $
# Revision 1.1  2004/09/27 14:28:05  cguirao
# *** empty log message ***
#
# Revision 1.1  2004/09/02 15:01:30  cguirao
# *** empty log message ***
#
# Revision 1.1  2004/08/25 14:11:50  cguirao
# First check-in
#
# Revision 1.1  2002/12/12 10:00:35  dataflow
# Instruments in lower case. CG
#
# Revision 1.3  2002/12/02 10:55:05  dataflow
# Removing Telescope location under "ins" directory
#
# Revision 1.2  2002/02/20 15:25:39  gmekiffe
# Remove all unneccessary files
#
# 19.02.2002 gmekiffe  . Remove MIDI and AMBER as instrument for VINCI
#
#eof

