package org.eso.ohs.core.dbb.client;

// $Id: MoonDistance.java,v 1.3 2005/04/11 13:53:44 tcanavan Exp $

/** 
 * Class to define the moon distance behavior
 *
 * @version $Revision: 1.3 $
 * @author cboarott
 */
public class MoonDistance extends Coordinate {

    /** @return A string like "<tt> 50</tt>". */
    public String fromDatabaseData( Object obj ) {

	// Convert from milliarcsec to a string like 120:34:56.789
	String str = super.fromDatabaseData( obj );

	// Truncate at first colon: we are only
	// interested in the degrees component
	int idx = str.indexOf( ":" );
	str = str.substring( 0, idx );
	return str;      
    }

    /** 
     * @return The display data type length, in this case: 3
     * <br>ChangeLog: amchavan, 14-Mar-2002: added to fix 1600/OT
     */
    public int getDataTypeLength() {
	return 3;
    }
}
