package org.eso.ohs.instruments;

/** 
 * This class is defines a the default implementation for creation of
 * InstrumentList objects. This factory is used if there is no factory
 * assigned to InstrumentList.
 * 
 * @author Nick Kornweibel for ESO.
 */
 
public class DefaultInstrumentListFactory implements InstrumentListFactory {
    /**
     * @return an InstrumentList object.
     */
    public InstrumentList getInstrumentList() {
        return new InstrumentList();
    }
}
