package org.eso.ohs.phase2.apps.p2ppAppServer;

// $Id: DbbFactoryP2PP.java,v 1.4 2004/02/17 11:16:25 tcanavan Exp $

import java.rmi.RemoteException;
import java.sql.SQLException;

import org.eso.ohs.core.dbb.rmi.DbbRemoteEngine;

/**   
 * This is an interface for the factory method to produce new remote
 * connections.  It is implemented by (eg) the P2PP AppServer interface.
 *
 * @author Bob Kemp
 *
 */
public interface DbbFactoryP2PP {

    public DbbRemoteEngine getPhase1Engine()
	throws SQLException, RemoteException;

    public DbbRemoteEngine getPhase2Engine()
	throws SQLException, RemoteException;

}


